﻿using System;
using SingletonExample.Loggers;

namespace SingletonExample
{
    public class ThreadLockReadLogger
    {
        private static ILogger _instance;

        private static readonly Object _lock = new object();

        public static ILogger Instance
        {
            get
            {
                lock (_lock)
                {
                    if (_instance == null)
                    {
                        _instance = new ConsoleLogger();
                    }
                }
                return _instance;
            }
        }
    }
}
